Bug 40288 - moving saslv1 includes files to make it easier to add saslv2
moving saslv1 includes files to make it easier to add saslv2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Hajimu UMEMOTO
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-07 13:20 UTC by m
Modified: 2002-07-28 18:38 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (14.29 KB, patch)
2002-07-07 13:20 UTC, m
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m 2002-07-07 13:20:01 UTC
SASL v2 Installs its include files into /usr/local/include/sasl. SASL v1
originaly installs its into /usr/local/include, but the SASL v1 port
changed it to use /usr/local/include/sasl. It should be better if the
SASL v2 goes unaltered into /usr/local/include/sasl, so existing SASL v1
port should use /usr/local/include/sasl1.
This PR provides a patch to update the SASL v1 port and all ports using
it.

Fix: Here is the patch
Comment 1 keramida 2002-07-11 01:48:54 UTC
Adding to audit trail:

| Date: Sun, 7 Jul 2002 11:52:58 -0700
| From: "David O'Brien" <obrien@freebsd.org>
| Subject: Re: moving saslv1 includes files to make it easier to add saslv2
| Message-Id: <20020707185258.GD58914@dragon.nuxi.com>
|
|  On Sun, Jul 07, 2002 at 02:18:04PM +0200, Mathieu Arnold wrote:
|  > Index: mail/mutt/files/patch-configure.in
|  > ===================================================================
|  > RCS file: /home/ncvs/ports/mail/mutt/files/patch-configure.in,v
|  > retrieving revision 1.2
|  > diff -u -r1.2 patch-configure.in
|  > --- mail/mutt/files/patch-configure.in	22 Jun 2002 00:15:41 -0000	1.2
|  > +++ mail/mutt/files/patch-configure.in	2 Jul 2002 14:41:12 -0000
|  > @@ -14,7 +14,7 @@
|  >             if test "$with_sasl" != "yes"
|  >             then
|  >  -            CPPFLAGS="$CPPFLAGS -I$with_sasl/include"
|  > -+            CPPFLAGS="$CPPFLAGS -I$with_sasl/include/sasl"
|  > ++            CPPFLAGS="$CPPFLAGS -I$with_sasl/include/sasl1"
|  >               LDFLAGS="$LDFLAGS -L$with_sasl/lib"
|  >             fi
|
|  This is not commit ready.  You are removing parts from the existing
|  ports/mail/mutt/files/patch-configure.in:
|
|
|  --- configure.in.orig	Fri Jun 21 14:52:03 2002
|  +++ configure.in	Fri Jun 21 14:54:07 2002
|  @@ -515,7 +515,7 @@
|              AC_MSG_ERROR([SSL support is only useful with POP or IMAP support])
|             fi
|
|  -          if test "$with_ssl" != "yes"
|  +          if test "$with_ssl" != "yes" && x$withval != x/usr
|             then
|              LDFLAGS="$LDFLAGS -L$withval/lib"
|              CPPFLAGS="$CPPFLAGS -I$withval/include"
|  @@ -609,6 +609,8 @@
|           [if test $enableval = yes; then
|                   AC_DEFINE(USE_FLOCK,1, [ Define to use flock() to lock mailboxes. ])
|           fi])
|  +
|  +MUTTLIBS="$MUTTLIBS -lxpg4"
|
|   mutt_cv_fcntl=yes
|   AC_ARG_ENABLE(fcntl, [  --disable-fcntl            Do NOT use fcntl() to lock files ],
|
| ----------------------------------------------------------------------
|
| Date: Sun, 07 Jul 2002 21:59:37 +0200
| From: Mathieu Arnold <m@absolight.fr>
| Subject: Re: moving saslv1 includes files to make it easier to add saslv2
| Message-Id: <518748671.1026079177@sauron>
|
|  --On dimanche 7 juillet 2002 11:52 -0700 David O'Brien <obrien@freebsd.org> wrote:
|  > On Sun, Jul 07, 2002 at 02:18:04PM +0200, Mathieu Arnold wrote:
|  >> Index: mail/mutt/files/patch-configure.in
|  >> ===================================================================
|  >> RCS file: /home/ncvs/ports/mail/mutt/files/patch-configure.in,v
|  >> retrieving revision 1.2
|  >> diff -u -r1.2 patch-configure.in
|  >> --- mail/mutt/files/patch-configure.in	22 Jun 2002 00:15:41 -0000	1.2
|  >> +++ mail/mutt/files/patch-configure.in	2 Jul 2002 14:41:12 -0000
|  >> @@ -14,7 +14,7 @@
|  >>             if test "$with_sasl" != "yes"
|  >>             then
|  >>  -            CPPFLAGS="$CPPFLAGS -I$with_sasl/include"
|  >> -+            CPPFLAGS="$CPPFLAGS -I$with_sasl/include/sasl"
|  >> ++            CPPFLAGS="$CPPFLAGS -I$with_sasl/include/sasl1"
|  >>               LDFLAGS="$LDFLAGS -L$with_sasl/lib"
|  >>             fi
|  >
|  > This is not commit ready.  You are removing parts from the existing
|  > ports/mail/mutt/files/patch-configure.in:
|
|  This patch is not removing anything, it's replacing one line. (unless I'm
|  mistaken on what diff/patch does.)
|
| ----------------------------------------------------------------------
|
| Date: Sun, 7 Jul 2002 13:41:35 -0700
| From: "David O'Brien" <obrien@freebsd.org>
| Subject: Re: moving saslv1 includes files to make it easier to add saslv2
| Message-Id: <20020707204135.GA89971@dragon.nuxi.com>
|
|  On Sun, Jul 07, 2002 at 09:59:37PM +0200, Mathieu Arnold wrote:
|  > > This is not commit ready.  You are removing parts from the existing
|  > > ports/mail/mutt/files/patch-configure.in:
|  >
|  > This patch is not removing anything, it's replacing one line. (unless I'm
|  > mistaken on what diff/patch does.)
|
|  Opps sorry, I read this too fast -- this is a patch to the patch; not a
|  replacement patch file.
Comment 2 Hajimu UMEMOTO freebsd_committer 2002-07-28 18:35:55 UTC
State Changed
From-To: open->closed

Thanks!  I've just committed it. 
I'll commit my cyrus-sasl2 and cyrus-imapd2 ports after repo. copy. 


Comment 3 Hajimu UMEMOTO freebsd_committer 2002-07-28 18:35:55 UTC
Responsible Changed
From-To: freebsd-ports->ume

Thanks!  I've just committed it. 
I'll commit my cyrus-sasl2 and cyrus-imapd2 ports after repo. copy.